# Aprovar marco

### Liberação Única e Múltipla

```typescript
/**
 * Aprovar Payload do Marco, isso pode ser um único lançamento ou múltiplos lançamentos
 */
export type ApproveMilestonePayload = {
  /**
   * ID (endereço) que identifica o contrato de escrow
   */
  contractId: string;

  /**
   * Índice do marco a ser atualizado
   */
  milestoneIndex: string;

  /**
   * Nova evidência do trabalho realizado pelo prestador de serviços.
   */
  newEvidence?: string;

  /**
   * Endereço da entidade que solicita o serviço.
   */
  approver: string;
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/aprovar-marco.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
